CVE-2018-1090

In Pulp before version 2.16.2, secrets are passed into override_config when triggering a task and then become readable to all users with read access on the distributor/importer. An attacker with API access can then view these secrets.

Published : 2018-06-18 14:29 Updated : 2019-10-09 23:38

5.0
CVSS Score More info
Score 5.0 / 10
5.0
Vendor Product Version URI
Redhat Satellite 6.4 cpe:/a:redhat:satellite:6.4
Fedoraproject Fedora - cpe:/o:fedoraproject:fedora:-
Pulpproject Pulp 2.16.0 cpe:/a:pulpproject:pulp:2.16.0
Pulpproject Pulp 2.16.1 cpe:/a:pulpproject:pulp:2.16.1
  1. Fedoraproject (1) Search CVE
    1. Fedora (1) Search CVE
      1. -
  2. Pulpproject (1) Search CVE
    1. Pulp (2) Search CVE
      1. 2.16.0
      2. 2.16.1
  3. Redhat (1) Search CVE
    1. Satellite (1) Search CVE
      1. 6.4

CWE

ID Name Description Links
CWE-200 Information Exposure An information exposure is the intentional or unintentional disclosure of information to an actor that is not explicitly authorized to have access to that information. CVE

History of changes

Date Event
2019-10-09 23:38
2019-04-16 18:56
2018-10-17 10:29
2018-08-13 12:35
2018-06-19 01:29
2018-06-18 14:29

New CVE